## grails.doc.filters
Class HeaderFilter

    java.lang.Object
      org.radeox.filter.FilterSupport
          org.radeox.filter.regex.RegexFilter
              org.radeox.filter.regex.RegexTokenFilter
                  grails.doc.filters.HeaderFilter

All Implemented Interfaces:
  groovy.lang.GroovyObject, org.radeox.filter.Filter

    public class HeaderFilter

extends org.radeox.filter.regex.RegexTokenFilter
implements groovy.lang.GroovyObject

Field Summary

Fields inherited from class org.radeox.filter.regex.RegexFilter
`MULTILINE, pattern, SINGLELINE, substitute`

Fields inherited from class org.radeox.filter.FilterSupport
`initialContext`

Constructor Summary
`HeaderFilter()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`void` `handleMatch(StringBuffer out, org.radeox.regex.MatchResult matchResult, org.radeox.filter.context.FilterContext filterContext)`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class org.radeox.filter.regex.RegexTokenFilter
`filter, setUp`

Methods inherited from class org.radeox.filter.regex.RegexFilter
`addRegex, addRegex, clearRegex`

Methods inherited from class org.radeox.filter.FilterSupport
`before, getDescription, replaces, setInitialContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HeaderFilter

    public HeaderFilter()

Method Detail

### handleMatch

    public void handleMatch(StringBuffer out,
                            org.radeox.regex.MatchResult matchResult,
                            org.radeox.filter.context.FilterContext filterContext)

  Specified by:
    `handleMatch` in class `org.radeox.filter.regex.RegexTokenFilter`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project